## pictory 2.15.2

=== debian/changelog ===
pictory (2.15.2-1+deb12+1) bookworm; urgency=medium

  [ Marc Kittner ]
  * feat: Regenerate session id on on succesfull SSO login
  * fix: Set Secure flag for Cockpit_SSO_Host Cookie
  * fix: Add Cookie flags secure+httponly to PHPSESSID
  * fix: Set Secure flag for Kunbus_RevPi... Cookies
  * fix: Regex pattern and regex execution
  * fix: Add path traversal check as an additional security measure

  [ Sven Sager ]
  * test: Add Firefox support for TestCafe configuration
  * chore: Bump version to 2.15.2

 -- Sven Sager <s.sager@kunbus.com>  Fri, 24 Oct 2025 09:20:26 +0200

pictory (2.15.1-1+deb12+1) bookworm; urgency=medium

  * fix: Update type filter logic to handle prefixed attribute types
  * chore: Bump version to 2.15.1

 -- Sven Sager <s.sager@kunbus.com>  Thu, 11 Sep 2025 13:46:42 +0200

pictory (2.15.0-1+deb12+1) bookworm; urgency=medium

  [ Marc Kittner ]
  * feat: Show default Names in Value Editor hover
  * feat: Add counter display for multi attributes in Value Editor
  * test: Update expected Type values in PiCtory device handling test

  [ Sven Sager ]
  * feat(rap): Add updated RAP files for GateModbusRTU and GateModbusTCP
  * fix(rap): Change visibility of dummy IOs to invisible
  * test: Update test snapshot for visibility change of gateway IOs
  * doc(test): Update README with snapshot update instructions
  * chore: Change version to 2.15.0

 -- Marc Kittner <m.kittner@kunbus.com>  Fri, 05 Sep 2025 10:07:34 +0200

pictory (2.14.0-1+deb12+1) bookworm; urgency=medium

  [ Igor Oborovski ]
  * feat: Sonarqube analysis CI step

  [ Sven Sager ]
  * style(rap): Clean up whitespaces of .val files

  [ Marc Kittner ]
  * test: handle unexpected native alert in PiCtory export test
  * fix: Prevent datasheet request when clicking on device tree folders

  [ Thomas Böhler ]
  * fix: arg for specifying pictory config is -c
  * fix: correct typo of opening
  * fix: refer to JSON format as a format in error msg

  [ Sven Sager ]
  * feat: Remove deprecated "RevPiTimer" entry from catalog.json

  [ Marc Kittner ]
  * test: make PiCtory export test robust against async export timing

  [ Sven Sager ]
  * chore: Change version to 2.14.0

 -- Sven Sager <s.sager@kunbus.com>  Thu, 03 Jul 2025 10:14:26 +0200

pictory (2.13.0-1+deb12+1) bookworm; urgency=medium

  [ Frank Bauer ]
  * fix: show cache clearing message if PiCtory version has changed

  [ Nicolai Buchwitz ]
  * feat: Add preliminary container support

  [ Marc Kittner ]
  * fix: Improve logging security by removing request body from logs
  * fix: block path traversal in getProjectsFile.php
  * fix: Validate file download path for improved security

  [ FrankBauer ]
  * feat: added context menu to catalog nodes to allow show datasheet

  [ Sven Sager ]
  * build: Add set-version.py script to manage PiCtory version updates
  * chore: Change version to 2.13.0

 -- Sven Sager <s.sager@kunbus.com>  Fri, 25 Apr 2025 11:05:09 +0200

pictory (2.12.0-1+deb12+1) bookworm; urgency=medium

  [ Lukas Zech ]
  * test(e2e): Update docker-dev script

  [ Sven Sager ]
  * feat(rap): Add .val file for DI module
  * test: Check val file logic on DI / DIO
  * refactor(testcafe): Use prettier for .js files of studio fixtures
  * style(testcafe): Apply prettier format
  * test: Correctly drag Connect 5 to work on all platforms

  [ Frank Bauer ]
  * fix(val): Val selects single encoder when counter > 6

  [ Sven Sager ]
  * test(val): Check `Encoder` validation and reset

  [ Frank Bauer ]
  * fix: show error message on failed SaveAsStart and Driver Reset
  * feat: beautify device tree

  [ Marc Kittner ]
  * test: Use AddDevice instead of manual drags in PiCtory
  * test: Add connect 5 snapshot file

  [ Frank Bauer ]
  * feat: resize catalog pane

  [ Marc Kittner ]
  * test: Update tests for new catalog tree size

  [ Frank Bauer ]
  * feat: expanding icon-hover area in catalog tree

  [ Sven Sager ]
  * fix: Validate SSO token format in sso_login.php
  * fix: Enhance SSO token path validation security check
  * refactor: SSO error handling with centralized function
  * style(scanIPRange): Cleanup line endings
  * fix(scanIPRange): Add session validation to all functions

  [ Marc Kittner ]
  * style(getFileList): Cleanup line ending
  * fix: Sanitize output in getFileList.php to prevent XSS
  * chore: Change version to 2.12.0

 -- Marc Kittner <m.kittner@kunbus.com>  Tue, 11 Mar 2025 13:44:21 +0100

pictory (2.11.1-1+deb12+1) bookworm; urgency=medium

  [ Sven Sager ]
  * fix: Add data sheet url to connect 5 rap file

  [ Marc Kittner ]
  * feat(rap): Correct input/output counts to match hardware specifications

  [ FrankBauer ]
  * fix(rap): Add val file RevPiDIO_20250109_1_1.val
  * chore: Change version to 2.11.1

 -- Sven Sager <s.sager@kunbus.com>  Thu, 23 Jan 2025 10:49:19 +0100

pictory (2.11.0-1+deb12+1) bookworm; urgency=medium

  * feat: Add RevPi Connect 5
  * feat: Add RevPi Connect 5 to catalog.json
  * test: Add test for RevPi Connect 5 device
  * chore: Change version to 2.11.0
  * fix(deb): Check version number with just the plain version

 -- Sven Sager <s.sager@kunbus.com>  Mon, 18 Nov 2024 09:59:29 +0100

pictory (2.10.0-1+deb12+1) bookworm; urgency=medium

  [ Sven Sager ]
  * fix: Use default device height for RevPi Flat picture

  [ Nicolai Buchwitz ]
  * feat: Add support for custom datasheet urls

  [ Sven Sager ]
  * feat: Add data sheet urls to all available modules
  * chore: Change version to 2.10.0
  * fix(deb): Ignore ci commits in changelog file

 -- Sven Sager <s.sager@kunbus.com>  Mon, 30 Sep 2024 11:53:59 +0200

pictory (2.9.0-1+deb12+1) bookworm; urgency=medium

  [ Nicolai Buchwitz ]
  * style: format code with prettier
  * style: format action rules
  * style: format extensions
  * style: format data/catalog
  * style: format validation
  * style: fix config.json
  * fix: Fix broken thead closing tags
  * style: format dialogs.html
  * style: format language.json
  * style: format userSettings


