=== debian/control ===
Source: pictory
Section: contrib/electronics
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: binary-targets
Homepage: https://revolutionpi.com/
Vcs-Browser: https://gitlab.com/revolutionpi/pictory
Vcs-Git: https://gitlab.com/Revolutionpi/pictory.git -b debian/bookworm
Build-Depends: debhelper-compat (= 11)
Standards-Version: 4.6.2

Package: pictory
Architecture: all
Multi-Arch: foreign
Depends:
  libapache2-mod-php,
  revpi-tools (>= 3.2.0),
  pitest,
  python3,
  ${misc:Depends},
Recommends:
  pictory-apache | pictory-nginx,
Description: Revolution Pi Configurator
 Browser app to select and configure I/O devices and gateway devices
 attached to a RevPi device.  Revolution Pi is a set of IoT products
 based on the Raspberry Pi and geared towards industrial usage.

Package: pictory-apache
Architecture: all
Depends:
  pictory,
  revpi-webserver-apache,
  ${misc:Depends},
Description: PiCtory webserver configuration for apache
 This package brings the webserver configuration for systems, which are
 using the apache webserver.
