=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

DEB_DESTDIR = debian/pictory

%:
	dh $@

override_dh_auto_test:
	# Get plain version - Important vor CI jobs, which add values to version string
	VERSION=$$(echo "$(DEB_VERSION_UPSTREAM)" | grep -oE '^[0-9]+\.[0-9]+\.[0-9]+') \
	; echo "Test Debian version with upstream version: $(DEB_VERSION_UPSTREAM) ($$VERSION)" \
	; grep "\"version\": \"$$VERSION\"," src/pictory/config.json

override_dh_fixperms:
	dh_fixperms
	/bin/chmod 775		     $(DEB_DESTDIR)/var/www/revpi/pictory/export
	/bin/chown www-data:www-data $(DEB_DESTDIR)/var/www/revpi/pictory/export
	/bin/chmod 775		     $(DEB_DESTDIR)/var/www/revpi/pictory/projects
	/bin/chown www-data:www-data $(DEB_DESTDIR)/var/www/revpi/pictory/projects
	/bin/chmod 664		     $(DEB_DESTDIR)/var/www/revpi/pictory/projects/*.rsc
	/bin/chown www-data:www-data $(DEB_DESTDIR)/var/www/revpi/pictory/projects/*.rsc
