## pictory 2.16.0

=== debian/changelog ===
pictory (2.16.0-1+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Marc Kittner <m.kittner@kunbus.com>  Thu, 04 Dec 2025 14:05:18 +0100

pictory (2.16.0-1+deb12+1) bookworm; urgency=medium

  [ Marc Kittner ]
  * fix: Prevent deletion of .htaccess files

  [ Sven Sager ]
  * fix: Exclude .htaccess from getFileList results

  [ Marc Kittner ]
  * feat: Remove ScanIPRange functionality
  * refactor: Remove unused vars and functions

  [ Sven Sager ]
  * test(deb): Compare debian version and software version

  [ Marc Kittner ]
  * chore: Bump version to 2.16.0

  [ Sven Sager ]
  * test(deb): Fix compare debian version and software version

 -- Sven Sager <s.sager@kunbus.com>  Fri, 14 Nov 2025 09:06:33 +0100
