=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Rules-Requires-Root: binary-targets
 Homepage: https://revolutionpi.com/
 Vcs-Browser: https://gitlab.com/revolutionpi/pictory
-Vcs-Git: https://gitlab.com/Revolutionpi/pictory.git -b debian/bookworm
+Vcs-Git: https://gitlab.com/Revolutionpi/pictory.git -b debian/trixie
 Build-Depends: debhelper-compat (= 11)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 
 Package: pictory
 Architecture: all
